import request from '@/utils/request'

// 查询短信发送记录列表
export function listSms(query) {
  return request({
    url: '/system/sms/list',
    method: 'get',
    params: query
  })
}

// 查询短信发送记录详细
export function getSms(id) {
  return request({
    url: '/system/sms/' + id,
    method: 'get'
  })
}

// 新增短信发送记录
export function addSms(data) {
  return request({
    url: '/system/sms',
    method: 'post',
    data: data
  })
}

// 修改短信发送记录
export function updateSms(data) {
  return request({
    url: '/system/sms',
    method: 'put',
    data: data
  })
}

// 删除短信发送记录
export function delSms(id) {
  return request({
    url: '/system/sms/' + id,
    method: 'delete'
  })
}
